Idealo
Idealo: Search
Search from Idealo. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
idealo
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/idealo/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/idealo/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/idealo/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/idealo/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/idealo/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/idealo/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/idealo/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/idealo/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "idealo.search",
"params": {
"query": "air fryer"
},
"response": {
"success": true,
"query": "air fryer",
"category_id": "3513",
"sort": "RELEVANCE_DESC",
"results": [
{
"id": "203597427",
"type": "PRODUCT",
"title": "Ninja AF500",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"2.470 Watt",
"10,4 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/203597427_-af500-ninja.html",
"image_url": "https://cdn.idealo.com/folder/Product/203597/4/203597427/s1_produktbild_mittelgross/ninja-af500.jpg",
"price": 162.9,
"price_formatted": "162,90 €",
"currency": "EUR",
"offer_count": 80,
"used_only": false,
"rating": {
"user_review_count": 453,
"score_percent": 100,
"test_rating": "2,0"
},
"cheapest_offer": {
"offer_key": "7abc0f760d8206c9f1c6127689df9ed0",
"shop_id": "301558",
"shop_name": "alza.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/301/5/301558/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "4,99 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"bestseller_info": {
"rank": 5
},
"has_pros_and_cons": true,
"is_sponsored": false
},
{
"id": "204292458",
"type": "PRODUCT",
"title": "Philips NA221/00",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"1.500 Watt",
"4,2 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/204292458_-na221-00-philips.html",
"image_url": "https://cdn.idealo.com/folder/Product/204292/4/204292458/s1_produktbild_mittelgross/philips-na221-00.jpg",
"price": 76.3,
"price_formatted": "76,30 €",
"currency": "EUR",
"offer_count": 13,
"used_only": false,
"rating": {
"user_review_count": 1,
"score_percent": 100
},
"cheapest_offer": {
"offer_key": "393be917a1989c14caaf80db46f0cf6b",
"shop_id": "302342",
"shop_name": "proshop.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/302/3/302342/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "4,99 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"has_pros_and_cons": true,
"is_sponsored": false
},
{
"id": "204910117",
"type": "PRODUCT",
"title": "Ninja SL400EU Doppel-Heißluftfritteuse XL",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"2.470 Watt",
"9,5 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/204910117_-sl400eu-doppel-heissluftfritteuse-xl-ninja.html",
"image_url": "https://cdn.idealo.com/folder/Product/204910/1/204910117/s1_produktbild_mittelgross/ninja-sl400eu-doppel-heissluftfritteuse-xl.jpg",
"price": 159,
"price_formatted": "159,00 €",
"currency": "EUR",
"offer_count": 42,
"used_only": false,
"rating": {
"user_review_count": 367,
"score_percent": 90,
"test_rating": "2,2"
},
"cheapest_offer": {
"offer_key": "c10cb8afb4d9ee7c39445acb543dcd40",
"shop_id": "322253",
"shop_name": "coolblue.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/322/2/322253/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "0,00 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"has_pros_and_cons": true,
"is_sponsored": false
}
],
"facets": [
{
"id": "manufacturer",
"name": "Hersteller",
"filters": [
{
"id": "106416096",
"name": "aeco",
"hits": 7,
"position": 8
},
{
"id": "101478985",
"name": "AEG",
"hits": 9,
"position": 9
},
{
"id": "1247659",
"name": "Aigostar",
"hits": 63,
"position": 10
}
]
},
{
"id": "productType",
"name": "Produkttyp",
"filters": [
{
"id": "995501",
"name": "Doppelfritteuse",
"hits": 533,
"position": 0
},
{
"id": "869281",
"name": "Einbaufritteuse",
"hits": 1,
"position": 1
},
{
"id": "869282",
"name": "Elektro-Fritteuse",
"hits": 75,
"position": 2
}
]
},
{
"id": "29932",
"name": "Fettfüllmenge",
"filters": [
{
"id": "2927332",
"name": "bis 1,8 Liter",
"hits": 1,
"position": 0
},
{
"id": "2927331",
"name": "2 bis 2,5 Liter",
"hits": 5,
"position": 1
},
{
"id": "236329",
"name": "3,2 bis 4 Liter",
"hits": 4,
"position": 3
}
]
}
],
"pagination": {
"page": 1,
"page_size": 36,
"total_pages": 112,
"has_more": true,
"total_results": 4805,
"total_products": 2677,
"total_offers": 2128,
"products_with_test_reports": 191
},
"category": {
"id": "3513",
"title": "Fritteusen"
},
"sort_options": [
"RELEVANCE_DESC",
"PRICE_ASC",
"DISCOUNT_DESC"
],
"item_states": {
"BARGAIN": 124,
"FAST_DELIVERABLE": 3726,
"EXCLUDE_USED": 0,
"SHORT_TERM_BARGAIN": 83
},
"price_range": {
"min": 0,
"max": 8116,
"buckets": [
{
"to": 60,
"hits": 1336
},
{
"from": 60,
"to": 90,
"hits": 1248
},
{
"from": 90,
"to": 140,
"hits": 1302
}
]
},
"related_queries": [
"Fritteuse",
"philips airfryer 3000",
"philips steam airfryer 5000 series dual basket"
],
"promoted_filters": [
{
"id": "2098877",
"name": "Heißluftfritteuse"
},
{
"id": "101123541",
"name": "Ninja"
},
{
"id": "7005777",
"name": "COSORI"
}
],
"meta": {
"duration_ms": 2485,
"upstream_calls": 2
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Idealo API overview for every Idealo endpoint.
Authorizations
Query Parameters
Maximum string length:
200Available options:
RELEVANCE_DESC, PRICE_ASC, PRICE_DESC, DISCOUNT_DESC, CREATION_DATE_DESC Available options:
BARGAIN, SHORT_TERM_BARGAIN, EXCLUDE_USED, FAST_DELIVERABLE Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/idealo/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/idealo/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/idealo/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/idealo/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/idealo/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/idealo/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/idealo/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/idealo/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "idealo.search",
"params": {
"query": "air fryer"
},
"response": {
"success": true,
"query": "air fryer",
"category_id": "3513",
"sort": "RELEVANCE_DESC",
"results": [
{
"id": "203597427",
"type": "PRODUCT",
"title": "Ninja AF500",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"2.470 Watt",
"10,4 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/203597427_-af500-ninja.html",
"image_url": "https://cdn.idealo.com/folder/Product/203597/4/203597427/s1_produktbild_mittelgross/ninja-af500.jpg",
"price": 162.9,
"price_formatted": "162,90 €",
"currency": "EUR",
"offer_count": 80,
"used_only": false,
"rating": {
"user_review_count": 453,
"score_percent": 100,
"test_rating": "2,0"
},
"cheapest_offer": {
"offer_key": "7abc0f760d8206c9f1c6127689df9ed0",
"shop_id": "301558",
"shop_name": "alza.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/301/5/301558/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "4,99 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"bestseller_info": {
"rank": 5
},
"has_pros_and_cons": true,
"is_sponsored": false
},
{
"id": "204292458",
"type": "PRODUCT",
"title": "Philips NA221/00",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"1.500 Watt",
"4,2 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/204292458_-na221-00-philips.html",
"image_url": "https://cdn.idealo.com/folder/Product/204292/4/204292458/s1_produktbild_mittelgross/philips-na221-00.jpg",
"price": 76.3,
"price_formatted": "76,30 €",
"currency": "EUR",
"offer_count": 13,
"used_only": false,
"rating": {
"user_review_count": 1,
"score_percent": 100
},
"cheapest_offer": {
"offer_key": "393be917a1989c14caaf80db46f0cf6b",
"shop_id": "302342",
"shop_name": "proshop.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/302/3/302342/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "4,99 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"has_pros_and_cons": true,
"is_sponsored": false
},
{
"id": "204910117",
"type": "PRODUCT",
"title": "Ninja SL400EU Doppel-Heißluftfritteuse XL",
"subheading": "Heißluftfritteuse",
"characteristics": [
"Heißluftfritteuse",
"2.470 Watt",
"9,5 Liter"
],
"category_id": "3513",
"url": "https://www.idealo.de/preisvergleich/OffersOfProduct/204910117_-sl400eu-doppel-heissluftfritteuse-xl-ninja.html",
"image_url": "https://cdn.idealo.com/folder/Product/204910/1/204910117/s1_produktbild_mittelgross/ninja-sl400eu-doppel-heissluftfritteuse-xl.jpg",
"price": 159,
"price_formatted": "159,00 €",
"currency": "EUR",
"offer_count": 42,
"used_only": false,
"rating": {
"user_review_count": 367,
"score_percent": 90,
"test_rating": "2,2"
},
"cheapest_offer": {
"offer_key": "c10cb8afb4d9ee7c39445acb543dcd40",
"shop_id": "322253",
"shop_name": "coolblue.de",
"shop_logo_url": "https://cdn.idealo.com/folder/Shop/322/2/322253/s1_shop_80x30.png",
"is_merchant": false,
"shipping_costs": "0,00 €",
"shipping_is_free": false
},
"voucher": {},
"is_bestseller": false,
"has_pros_and_cons": true,
"is_sponsored": false
}
],
"facets": [
{
"id": "manufacturer",
"name": "Hersteller",
"filters": [
{
"id": "106416096",
"name": "aeco",
"hits": 7,
"position": 8
},
{
"id": "101478985",
"name": "AEG",
"hits": 9,
"position": 9
},
{
"id": "1247659",
"name": "Aigostar",
"hits": 63,
"position": 10
}
]
},
{
"id": "productType",
"name": "Produkttyp",
"filters": [
{
"id": "995501",
"name": "Doppelfritteuse",
"hits": 533,
"position": 0
},
{
"id": "869281",
"name": "Einbaufritteuse",
"hits": 1,
"position": 1
},
{
"id": "869282",
"name": "Elektro-Fritteuse",
"hits": 75,
"position": 2
}
]
},
{
"id": "29932",
"name": "Fettfüllmenge",
"filters": [
{
"id": "2927332",
"name": "bis 1,8 Liter",
"hits": 1,
"position": 0
},
{
"id": "2927331",
"name": "2 bis 2,5 Liter",
"hits": 5,
"position": 1
},
{
"id": "236329",
"name": "3,2 bis 4 Liter",
"hits": 4,
"position": 3
}
]
}
],
"pagination": {
"page": 1,
"page_size": 36,
"total_pages": 112,
"has_more": true,
"total_results": 4805,
"total_products": 2677,
"total_offers": 2128,
"products_with_test_reports": 191
},
"category": {
"id": "3513",
"title": "Fritteusen"
},
"sort_options": [
"RELEVANCE_DESC",
"PRICE_ASC",
"DISCOUNT_DESC"
],
"item_states": {
"BARGAIN": 124,
"FAST_DELIVERABLE": 3726,
"EXCLUDE_USED": 0,
"SHORT_TERM_BARGAIN": 83
},
"price_range": {
"min": 0,
"max": 8116,
"buckets": [
{
"to": 60,
"hits": 1336
},
{
"from": 60,
"to": 90,
"hits": 1248
},
{
"from": 90,
"to": 140,
"hits": 1302
}
]
},
"related_queries": [
"Fritteuse",
"philips airfryer 3000",
"philips steam airfryer 5000 series dual basket"
],
"promoted_filters": [
{
"id": "2098877",
"name": "Heißluftfritteuse"
},
{
"id": "101123541",
"name": "Ninja"
},
{
"id": "7005777",
"name": "COSORI"
}
],
"meta": {
"duration_ms": 2485,
"upstream_calls": 2
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}